## WC-INPUT
> 通过鼠标或键盘输入字符。



### 基础用法

<wc-sandbox>
  <wc-lang slot="javascript">
import '//jscdn.ink/@bd/ui/latest/space/index.js'
import '//jscdn.ink/@bd/ui/latest/form/input.js'
  </wc-lang>
  <wc-lang slot="html">
<wc-space>
  <wc-input type="primary" placeholder="Primary Input"></wc-input>
  <wc-input type="info" placeholder="Iofo Input"></wc-input>
  <wc-input type="success" placeholder="Success Input"></wc-input>
  <wc-input type="warning" placeholder="Warning Input"></wc-input>
</wc-space>
<wc-space>
  <wc-input placeholder="Normal Input"></wc-input>
  <wc-input type="help" placeholder="Help Input"></wc-input>
  <wc-input type="secondary" placeholder="Secondary Input"></wc-input>
  <wc-input type="danger" placeholder="Danger Input"></wc-input>
</wc-space>
  </wc-lang>
</wc-sandbox>


### 尺寸大小

5种尺寸规则的输入框, 如果不满足自己的需求, 可以自行设置`width`和`height`。

<wc-sandbox>
  <wc-lang slot="javascript">
import '//jscdn.ink/@bd/ui/latest/space/index.js'
import '//jscdn.ink/@bd/ui/latest/form/input.js'
  </wc-lang>
  <wc-lang slot="html">
<wc-space>
  <wc-input size="xxxl" placeholder="xxxl Size"></wc-input>
  <wc-input size="xxl" placeholder="xxl Size"></wc-input>
  <wc-input size="xl" placeholder="xl Size">xl Size</wc-input>
  <wc-input  placeholder="Deault Size"></wc-input>
  <wc-input size="m" placeholder="Medium Size"></wc-input>
</wc-space>
  </wc-lang>
</wc-sandbox>




### 状态
文本框有2种状态, `readonly` 和 `disabled`, 这2种状态下, value值都无法被修改。
<wc-sandbox>
  <wc-lang slot="javascript">
import '//jscdn.ink/@bd/ui/latest/space/index.js'
import '//jscdn.ink/@bd/ui/latest/form/input.js'
  </wc-lang>
  <wc-lang slot="html">
<wc-space>
  <wc-input placeholder="Default Status">Default Status</wc-input>
  <wc-input placeholder="Readonly" readonly>Disabled Status</wc-input>
  <wc-input  placeholder="Disabled" disabled>Disabled Status</wc-input>
</wc-space>
  </wc-lang>
  <wc-lang slot="css">
    wc-input{ width:250px; }
  </wc-lang>
</wc-sandbox>


### 圆角和插槽
`round`属性, 可以让输入框变成圆角。
<br/><br/>

1.`slot=prepend`前置插槽<br/>
2.`slot=append` 后置插槽<br/>

<wc-sandbox>
  <wc-lang slot="javascript">
import '//jscdn.ink/@bd/ui/latest/space/index.js'
import '//jscdn.ink/@bd/ui/latest/form/input.js'
import '//jscdn.ink/@bd/ui/latest/icon/index.js'
  </wc-lang>
  <wc-lang slot="html">
<wc-space>
  <wc-input  round ></wc-input>
  <wc-input class="slot-input" round>
      <div slot="prepend">
       <wc-icon name="user" style="--size:18px;" />
      </div>
    </wc-input>
</wc-space>
<wc-space>
    <wc-input class="slot-input" >
        <div slot="append">@163.com</div>
    </wc-input>
    <wc-input class="slot-input" >
      <div slot="prepend">
       <wc-icon name="user" style="--size:18px;" />
      </div>
      <div slot="append">@163.com</div>
    </wc-input>
</wc-space>
  </wc-lang>

  <wc-lang slot="css">
    wc-input{ width:300px; }
    div[slot='prepend']{
      padding:0 10px;
      border-right:1px solid var(--color-grey-a);
    }
    div[slot='append']{
      padding:0 10px;
      border-left:1px solid var(--color-grey-a);
    }
  </wc-lang>
</wc-sandbox>

### 可清空
使用`clearable`属性即可得到一个可清空的输入框
<wc-sandbox>
  <wc-lang slot="javascript">
import '//jscdn.ink/@bd/ui/latest/space/index.js'
import '//jscdn.ink/@bd/ui/latest/form/input.js'
  </wc-lang>
  <wc-lang slot="html">
<wc-space>
  <wc-input placeholder="输入点东西试试" clearable></wc-input>

</wc-space>
  </wc-lang>
  <wc-lang slot="css">
    wc-input{ width:250px; }
  </wc-lang>
</wc-sandbox>

### 搜索建议
根据输入内容提供对应的输入建议
<wc-sandbox>
  <wc-lang slot="javascript">
import '//jscdn.ink/@bd/ui/latest/space/index.js'
import '//jscdn.ink/@bd/ui/latest/form/input.js'
document.querySelector('wc-input').addEventListener('fetch-suggest', e => e.send(list))
const list = [
          { "value": "三全鲜食（北新泾店）", "address": "长宁区新渔路144号" },
          { "value": "Hot honey 首尔炸鸡（仙霞路）", "address": "上海市长宁区淞虹路661号" },
          { "value": "新旺角茶餐厅", "address": "上海市普陀区真北路988号创邑金沙谷6号楼113" },
          { "value": "泷千家(天山西路店)", "address": "天山西路438号" },
          { "value": "胖仙女纸杯蛋糕（上海凌空店）", "address": "上海市长宁区金钟路968号1幢18号楼一层商铺18-101" },
          { "value": "贡茶", "address": "上海市长宁区金钟路633号" },
          { "value": "豪大大香鸡排超级奶爸", "address": "上海市嘉定区曹安公路曹安路1685号" },
          { "value": "茶芝兰（奶茶，手抓饼）", "address": "上海市普陀区同普路1435号" },
          { "value": "十二泷町", "address": "上海市北翟路1444弄81号B幢-107" },
          { "value": "星移浓缩咖啡", "address": "上海市嘉定区新郁路817号" },
          { "value": "阿姨奶茶/豪大大", "address": "嘉定区曹安路1611号" },
          { "value": "新麦甜四季甜品炸鸡", "address": "嘉定区曹安公路2383弄55号" },
          { "value": "Monica摩托主题咖啡店", "address": "嘉定区江桥镇曹安公路2409号1F，2383弄62号1F" },
          { "value": "浮生若茶（凌空soho店）", "address": "上海长宁区金钟路968号9号楼地下一层" },
          { "value": "NONO JUICE  鲜榨果汁", "address": "上海市长宁区天山西路119号" },
          { "value": "CoCo都可(北新泾店）", "address": "上海市长宁区仙霞西路" },
          { "value": "快乐柠檬（神州智慧店）", "address": "上海市长宁区天山西路567号1层R117号店铺" },
          { "value": "Merci Paul cafe", "address": "上海市普陀区光复西路丹巴路28弄6号楼819" },
          { "value": "猫山王（西郊百联店）", "address": "上海市长宁区仙霞西路88号第一层G05-F01-1-306" },
          { "value": "枪会山", "address": "上海市普陀区棕榈路" },
          { "value": "纵食", "address": "元丰天山花园(东门) 双流路267号" },
          { "value": "钱记", "address": "上海市长宁区天山西路" },
          { "value": "壹杯加", "address": "上海市长宁区通协路" },
          { "value": "唦哇嘀咖", "address": "上海市长宁区新泾镇金钟路999号2幢（B幢）第01层第1-02A单元" },
          { "value": "爱茜茜里(西郊百联)", "address": "长宁区仙霞西路88号1305室" },
          { "value": "爱茜茜里(近铁广场)", "address": "上海市普陀区真北路818号近铁城市广场北区地下二楼N-B2-O2-C商铺" },
          { "value": "鲜果榨汁（金沙江路和美广店）", "address": "普陀区金沙江路2239号金沙和美广场B1-10-6" },
          { "value": "开心丽果（缤谷店）", "address": "上海市长宁区威宁路天山路341号" },
          { "value": "超级鸡车（丰庄路店）", "address": "上海市嘉定区丰庄路240号" },
          { "value": "妙生活果园（北新泾店）", "address": "长宁区新渔路144号" },
          { "value": "香宜度麻辣香锅", "address": "长宁区淞虹路148号" },
          { "value": "凡仔汉堡（老真北路店）", "address": "上海市普陀区老真北路160号" },
          { "value": "港式小铺", "address": "上海市长宁区金钟路968号15楼15-105室" },
          { "value": "蜀香源麻辣香锅（剑河路店）", "address": "剑河路443-1" },
          { "value": "北京饺子馆", "address": "长宁区北新泾街道天山西路490-1号" },
          { "value": "饭典*新简餐（凌空SOHO店）", "address": "上海市长宁区金钟路968号9号楼地下一层9-83室" },
          { "value": "焦耳·川式快餐（金钟路店）", "address": "上海市金钟路633号地下一层甲部" },
          { "value": "动力鸡车", "address": "长宁区仙霞西路299弄3号101B" },
          { "value": "浏阳蒸菜", "address": "天山西路430号" },
          { "value": "四海游龙（天山西路店）", "address": "上海市长宁区天山西路" },
          { "value": "樱花食堂（凌空店）", "address": "上海市长宁区金钟路968号15楼15-105室" },
          { "value": "壹分米客家传统调制米粉(天山店)", "address": "天山西路428号" },
          { "value": "福荣祥烧腊（平溪路店）", "address": "上海市长宁区协和路福泉路255弄57-73号" },
          { "value": "速记黄焖鸡米饭", "address": "上海市长宁区北新泾街道金钟路180号1层01号摊位" },
          { "value": "红辣椒麻辣烫", "address": "上海市长宁区天山西路492号" },
          { "value": "(小杨生煎)西郊百联餐厅", "address": "长宁区仙霞西路88号百联2楼" },
          { "value": "阳阳麻辣烫", "address": "天山西路389号" },
          { "value": "南拳妈妈龙虾盖浇饭", "address": "普陀区金沙江路1699号鑫乐惠美食广场A13" }
        ];
  </wc-lang>
  <wc-lang slot="html">
<wc-space>
  <wc-input placeholder="输入后回车搜索" clearable></wc-input>
</wc-space>
  </wc-lang>
  <wc-lang slot="css">
    wc-input{ width:250px; }
  </wc-lang>
</wc-sandbox>




### 完整APIs

|  属性  |  值类型  |   默认值   |     描述   |
|  :-:  |   :-:   |   :-:   |     -   |
|  value |  String |  无    | 输入框绑定值	 |
|  type  |  String  |   无   |   输入框类型, 仅能决定输入框的颜色, 无额外作用, 可选值有: `primary、info、success、warning、default、secondary、danger`   |
|  size  |   String   |  default   |   输入框尺寸, 可选值有: `xxxl、xxl、xl、l、m`   |
|  autofocus  |   Boolean  | false   |  输入框的加载状态, 为`true`时, 输入框会自动获得焦点 |
|  disbaled  |   Boolean  | false   |  输入框的禁用状态, 为`true`时, value不可更改 |
|  readonly  |   Boolean  | false   | 输入框的只读状态, 为`true`时value不可更改。|
|  icon  |   String  |  无   |  为输入框设置后置图标 |
|  round  |   无  |  无   |  为输入框设置大圆角半径。 不需要赋值   |
|  maxlength  |   Number  |  无   | value最大输入长度   |
|  minlength  |   Number  |  无   | value最小输入长度, 不足最小长度时，不触发`submit`事件   |
|  placeholder|  String | 无 |  输入框占位文本	 |
|  clearable  |   Boolean  |  false   |  是否可清空内容   |
|  lazy  |   Number  |  0   |  为输入框设置节流防抖, 单位毫秒, 设置一个大于0的值之后, 在指定毫秒之内, 无法多次触发`input`，`submit`，`fetch-suggest`事件  |


### 事件
| 事件名 | 说明 | 回调参数 |
|  :-:  |   :-:   |   :-:   |     -   |
| input | 输入值时触发 | (event: Event) |
| submit | 按回车时触发 | (event: Event) |
| fetch-suggest | 按回车时触发 | (event: Event) |

### 插槽
| 事件名 | 说明  |
|  :-:  |  :-:   |    -   |
| prepend | 渲染在input框前面的插槽 | 
| append | 渲染在input框后面的插槽 | 
